class KDirWatchPrivate

# class KDirWatchPrivate |
Definition | `#include <kdirwatch_p.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum entryStatus { Normal = 0, NonExistent }
- enum entryMode { UnknownMode = 0, StatMode, DNotifyMode, FAMMode }
- enum { NoChange=0, Changed=1, Created=2, Deleted=4 }
- struct Client
- class Entry
- typedef QMap EntryMap

#### Public Methods

- KDirWatchPrivate ()
- ~KDirWatchPrivate ()
- void resetList (KDirWatch*,bool)
- void useFreq (Entry* e, int newFreq)
- void addEntry (KDirWatch*,const QString&, Entry*, bool)
- void removeEntry (KDirWatch*,const QString&, Entry*)
- bool stopEntryScan (KDirWatch*, Entry*)
- bool restartEntryScan (KDirWatch*, Entry*, bool )
- void stopScan (KDirWatch*)
- void startScan (KDirWatch*, bool, bool)
- void removeEntries (KDirWatch*)
- void statistics ()
- Entry* entry (const QString&)
- int scanEntry (Entry* e)
- void emitEvent (Entry* e, int event, const QString &fileName = QString::null)
- void ref ()
- bool deref ()

#### Public Slots

- void slotRescan ()
- void famEventReceived ()
- void slotActivated ()
- void slotRemoveDelayed ()

#### Public Members

- QTimer *timer
- EntryMap m_mapEntries

## Detailed Description

enum entryStatus { Normal = 0, NonExistent } | ### entryStatus

enum entryMode { UnknownMode = 0, StatMode, DNotifyMode, FAMMode } | ### entryMode

enum { NoChange=0, Changed=1, Created=2, Deleted=4 } | ###

Client (struct) | ### Client

Entry (class) | ### Entry

typedef QMap<QString,Entry> EntryMap | ### EntryMap

KDirWatchPrivate () | ### KDirWatchPrivate

~KDirWatchPrivate () | ### ~KDirWatchPrivate

void resetList (KDirWatch*,bool) | ### resetList

void useFreq (Entry* e, int newFreq) | ### useFreq

void addEntry (KDirWatch*,const QString&, Entry*, bool) | ### addEntry

void removeEntry (KDirWatch*,const QString&, Entry*) | ### removeEntry

bool stopEntryScan (KDirWatch*, Entry*) | ### stopEntryScan

bool restartEntryScan (KDirWatch*, Entry*, bool ) | ### restartEntryScan

void stopScan (KDirWatch*) | ### stopScan

void startScan (KDirWatch*, bool, bool) | ### startScan

void removeEntries (KDirWatch*) | ### removeEntries

void statistics () | ### statistics

Entry* entry (const QString&) | ### entry

int scanEntry (Entry* e) | ### scanEntry

void emitEvent (Entry* e, int event, const QString &fileName = QString::null) | ### emitEvent

void ref () | ### ref

bool deref () | ### deref

void slotRescan () | ### slotRescan

[slot]

void famEventReceived () | ### famEventReceived

[slot]

void slotActivated () | ### slotActivated

[slot]

void slotRemoveDelayed () | ### slotRemoveDelayed

[slot]

QTimer * timer | ### timer

EntryMap m_mapEntries | ### m_mapEntries

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.